<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Include il file di autenticazione
include('../../extra/auth.php');



// Verifica se l'utente è loggato
if (Auth::check()) {
    // L'utente è loggato, quindi puoi assegnare le variabili
    $user = Auth::user();

    // Assegna i valori alle variabili di sessione
    $_SESSION["iduserlogin"] = $user->present()->id;
    $_SESSION["nameuser"] = $user->present()->first_name;
    $_SESSION["surnameuser"] = $user->present()->last_name;
    $_SESSION["emailuser"] = $user->present()->email;
    $_SESSION["photouser"] = $user->present()->avatar;
    $_SESSION["kindofrole"] = $user->present()->role_id;

    // Assegna anche le variabili per uso immediato
    $iduserlogin = $_SESSION["iduserlogin"];
    $nameuser = $_SESSION["nameuser"];
    $surnameuser = $_SESSION["surnameuser"];
    $emailuser = $_SESSION["emailuser"];
    $photouser = $_SESSION["photouser"];
    $kindofrole = $_SESSION["kindofrole"];
}

// Include i file necessari
require_once('../Connections/yogiwherequery.php');
require_once('../webassist/mysqli/rsobj.php');
require_once('../webassist/mysqli/queryobj.php');
require_once("../webassist/form_validations/wavt_scripts_php.php");

// Includi altri file
include('../languages/it/generalfrontend.php');
include("generalsettings.php");
